ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties (jTDS API)
Keywords: net.sourceforge.jtds.test.ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.DefaultPropertiesTestLibrary
                  net.sourceforge.jtds.test.ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties

All Implemented Interfaces:
  junit.framework.Test

Enclosing class:
  ConnectionJDBC2UnitTest

public static class ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties
extends DefaultPropertiesTestLibrary

Class used to test `net.sourceforge.jtds.jdbc.ConnectionJDBC2.unpackProperties(Properties)`.

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DefaultPropertiesTestLibrary
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties()` Default constructor.

Method Summary
`static junit.framework.Test` | `suite(java.lang.String name)` Construct a test suite for this library.

Methods inherited from class net.sourceforge.jtds.test.DefaultPropertiesTestLibrary
`getTester, isOnlySqlServerTests, isOnlyTds70Tests, setOnlySqlServerTests, setOnlyTds70Tests, setTester, suite, test_appName, test_batchSize, test_bindAddress, test_bufferDir, test_bufferMaxMemory, test_bufferMinPackets, test_cacheMetaData, test_databaseName, test_lastUpdateCount, test_lobBuffer, test_loginTimeout, test_macAddress, test_namedPipe, test_packetSize, test_portNumber, test_prepareSql, test_processId, test_progName, test_sendStringParametersAsUnicode, test_serverType, test_socketKeepAlive, test_socketTimeout, test_tcpNoDelay, test_tds, test_useCursors, test_useJCIFS, test_useLOBs, test_wsid`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties

    public ConnectionJDBC2UnitTest.Test_ConnectionJDBC2_unpackProperties()

  Default constructor.

Method Detail

### suite

    public static junit.framework.Test suite(java.lang.String name)

  Construct a test suite for this library.

  Parameters:
    `name` - The name of the tests.
  Returns:
    The test suite.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009